<?php
namespace wcf\system\option;
use wcf\data\option\Option;
use wcf\system\WCF;

/**
 * Option type implementation for color input fields.
 * 
 * @author	Sascha Greuel <sascha@softcreatr.de>
 * @copyright	2015 Sascha Greuel
 * @license	All rights reserved
 * @package	de.softcreatr.typhoon.optiontype.color
 * @subpackage	system.option
 * @category	Community Framework
 */
class ColorOptionType extends TextOptionType {
	/**
	 * @see	\wcf\system\option\IOptionType::getFormElement()
	 */
	public function getFormElement(Option $option, $value) {
		WCF::getTPL()->assign(array(
			'option' => $option,
			'value' => $value
		));
		
		return WCF::getTPL()->fetch('colorOptionType');
	}
}
